import request from '@/utils/request'
import qs from 'qs';
import {upcloud_base_wh_outbound,upcloud_base_wh,upcloud_base_wh_inbound} from "@/config/serviceSettings";

export function uploadCircubillPC(data) {
  return request({
    url: upcloud_base_wh_inbound + '/rqcHeaders/uploadCircubillPC',
    method: 'post',
    data,
  })
}
export function outboundExport(params) {
  return request({
    url: upcloud_base_wh_outbound + '/supervisionCodeXml/exportXml',
    method: 'get',
    params: params,
  })
}
export function addItem(params) {
  params.businesstype= '3011' //页面类型:特殊人员
  return request({
    url: upcloud_base_wh_outbound + '/checkWorkGroup/add',
    method: 'post',
    data: params,
  })
}

export function updateItem(params) {
  params.businesstype= '3011' //页面类型:特殊人员
  return request({
    url: upcloud_base_wh_outbound + '/checkWorkGroup/update',
    method: 'post',
    data: params,
  })
}

export function delItems(params) {
  return request({
    url: upcloud_base_wh_outbound + '/checkWorkGroup/delete?ids=' + params.join(),
    method: 'post',
  })
}


export function queryWorkstationList(params) {
  return request({
    url: upcloud_base_wh+'/workstation/list',
    method: 'get',
  })
}


export function findSrcCodes(params) { //  获取导出xml的原单号 
  return request({
    url: upcloud_base_wh_inbound+'/supervisionCodeXml/findSrcCodes',
    method: 'get',
    params:params
  })
}